GET https://admanager.googleapis.com/v1/{parent}/changeEvents
Path parameters
Parameters
parent
string
Required. The parent, which owns this collection of ChangeEvents. Format: networks/{networkCode}
Query parameters
Parameters
pageSize
integer
Optional. The maximum number of ChangeEvent objects to return. The service may return fewer than this value. If unspecified, at most 50 ChangeEvent objects will be returned. The maximum value is 1000; values greater than 1000 will be coerced to 1000.
pageToken
string
Optional. A page token, received from a previous changeEvents.list call. Provide this to retrieve the subsequent page.
When paginating, all other parameters provided to changeEvents.list must match the call that provided the page token.
Syntax summary: double-quoted "..." (never '...') strings and RFC 3339 timestamps, full resource names on reference fields (for example, order = "networks/123/orders/456", not *Id or bare IDs), prefix or suffix * wildcards with = (displayName = "foo*"), : for substring or repeated-field matching, unquoted enums and booleans, uppercase AND/OR/NOT, and standalone IN(field, SET(v1, v2)) (not field IN (...)).
Filterable fields:
changeTime
entityId
name
operationType
resourceType
user
Request body
The request body must be empty.
Response body
Response object for ListChangeEventsRequest containing matching ChangeEvent objects.
If successful, the response body contains data with the following structure:
The ChangeEvent objects from the specified network.
nextPageToken
string
A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.
totalSize
integer
Total number of ChangeEvent objects. If a filter was included in the request, this reflects the total number after the filtering is applied.
totalSize won't be calculated in the response unless it has been included in a response field mask. The response field mask can be provided to the method by using the URL parameter $fields or fields, or by using the HTTP/gRPC header X-Goog-FieldMask.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-11-10 UTC."],[],[]]